require 'sketchup.rb'
require 'extensions.rb'
module CURIC
  module DimScale
    PLUGIN = self
    PLUGIN_NAMESPACE = 'Curic'.freeze
    PLUGIN_ID         = 'Dim Scale'.freeze
    PLUGIN_NAME       = "#{PLUGIN_NAMESPACE} #{PLUGIN_ID}".freeze
    PLUGIN_VERSION = '1.0.0'.freeze
    unless file_loaded?(__FILE__)
      ex = SketchupExtension.new(PLUGIN_NAME, 'curic_dim_scale/loader')
      ex.version     = PLUGIN_VERSION
      ex.copyright   = 'Curic © 2019–2022'
      ex.creator     = 'Vo Quoc Hai curic4su@gmail.com'
      ex.description = 'Show dimensions when using Scale tool'
      Sketchup.register_extension(ex, true)
    end
  end
end
file_loaded(__FILE__)
